Subject: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Dani Moncayo <[email-masked]>
Date: Thu, 9 May 2013 11:09:11 +0200

>> Does it help to press F12 with focus in the Emacs frame, while GDB
>> tries to attach?
>
> I've tried it, and the effect is that, each time I type F12 on the
> Emacs frame (which it is not redrawn anymore) another "New Thread"
> message appears in the gdb console.

So, it seems it is not possible to attach gdb to the hanged Emacs
session.   Is there another way of tracking down the problem?

For example, I could add some sentences at the C level, which write
information to some log file.  If this is a good idea, just send me
the patch I should apply.

TIA

--
Dani Moncayo